///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//  Copyright  NetworkDLS 2002, All rights reserved
//
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF 
// ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO 
// THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A 
// PARTICULAR PURPOSE.
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
#ifndef _TESTAPP_CPP
#define _TESTAPP_CPP
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#include <Windows.H>
#include <Stdio.H>
#include <Stdlib.H>

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#include "../CProcess.H"

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

int main(void)
{
	CProcess MyApp;
	
	//Start notepad. Please note, all process are started in a suspended state
	//	so you will need to run .Resume in order to run the called application.
	if(MyApp.LoadProcess("notepad.exe"))
	{
		printf("Resuming notepad.\n");
		MyApp.Resume();

		printf("Waiting on notepad to exit.\n");

		if(MyApp.WaitOnExit())
		{
			printf("Notepad ended.\n");
		}
	}
	else{
		printf("Failed to start notepad.\n");
	}

	MyApp.UnloadProcess();

	system("Pause");

	return 0;
}

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
#endif

