///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//  Copyright  NetworkDLS 2002, All rights reserved
//
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF 
// ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO 
// THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A 
// PARTICULAR PURPOSE.
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

class CProcess{
    public:
        PROCESS_INFORMATION ProcessInfo;
        STARTUPINFO StartupInfo;

        bool KillProcess(UINT iExitCode);
        bool KillThread(UINT iExitCode);
		bool LoadProcess(const char *sCommandLine);
		bool LoadProcess(const char *sExeName, const char *sParameters);
		bool LoadProcess(const char *sExeName,
			const char *sParameters, const char *sCurrentDirectory);
        bool Pause(void);
        bool Resume(void);
        bool UnloadProcess(void);
		bool WaitOnExit(void);
        bool WaitOnExit(DWORD *dwReturnCode);
};

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
